package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.InfoPinglun;

/**
 * 信息评论Service接口
 * 
 * @author boman
 * @date 2023-11-28
 */
public interface IInfoPinglunService 
{
    /**
     * 查询信息评论
     * 
     * @param infoPinglunId 信息评论主键
     * @return 信息评论
     */
    public InfoPinglun selectInfoPinglunByInfoPinglunId(Long infoPinglunId);

    /**
     * 查询信息评论列表
     * 
     * @param infoPinglun 信息评论
     * @return 信息评论集合
     */
    public List<InfoPinglun> selectInfoPinglunList(InfoPinglun infoPinglun);
    public List<InfoPinglun> getPingLunInfo(Long annexId);
    public List<InfoPinglun> getPingLunInfoIndex(Long annexId);

    /**
     * 新增信息评论
     * 
     * @param infoPinglun 信息评论
     * @return 结果
     */
    public int insertInfoPinglun(InfoPinglun infoPinglun);

    /**
     * 修改信息评论
     * 
     * @param infoPinglun 信息评论
     * @return 结果
     */
    public int updateInfoPinglun(InfoPinglun infoPinglun);

    /**
     * 批量删除信息评论
     * 
     * @param infoPinglunIds 需要删除的信息评论主键集合
     * @return 结果
     */
    public int deleteInfoPinglunByInfoPinglunIds(Long[] infoPinglunIds);

    /**
     * 删除信息评论信息
     * 
     * @param infoPinglunId 信息评论主键
     * @return 结果
     */
    public int deleteInfoPinglunByInfoPinglunId(Long infoPinglunId);
}
